# API constants definitions

### Type Definitions

#### APIConfig

##### Type:

- Object

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`themesUrl` | string | <optional> |
`localeUrl` | string | <optional> |
`searchUrl` | string | <optional> |
`projection` | string | <optional> |
`projections` | Object.<string, Projection> | <optional> |
`resolutions` | Array.<number> | <optional> |
`extent` | Array.<number> | <optional> |
`backgroundLayer` | string | <optional> |
`queryableLayers` | Array.<string> | <optional> |

#### Projection

A projection definitions.

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`definition` | Array.<string> | The definition.
`extent` | Array.<number> | The extent.